Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.classloading.spi
Interface ClassLoadingDomain

All Superinterfaces:
  Cloneable, org.jboss.util.JBossInterface

All Known Implementing Classes:
  AbstractClassLoadingDomain

public interface ClassLoadingDomain
extends org.jboss.util.JBossInterface

A ClassLoadingDomain holds a number of classloaders.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Method Summary
`boolean` | `getJava2ClassLoadingCompliance()` Whether we implement java2 classloading compliance
`ClassLoadingDomain` | `getParent()` Get the parent classloading domain
`Class` | `loadClass(String name, boolean resolve, DomainClassLoader classLoader)` Load a class from this domain
`URL` | `loadResource(String name, DomainClassLoader classLoader)` Get a resource

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Method Detail

### getJava2ClassLoadingCompliance

    public boolean getJava2ClassLoadingCompliance()

  Whether we implement java2 classloading compliance

  Returns:
    true when delegate first to parent

### getParent

    public ClassLoadingDomain getParent()

  Get the parent classloading domain

  Returns:
    the parent or null if there isn't one

### loadClass

    public Class loadClass(String name,
                           boolean resolve,
                           DomainClassLoader classLoader)
                    throws ClassNotFoundException

  Load a class from this domain

  Parameters:
    `name` - the class to load
    `resolve` - whether to resolve the class
    `classLoader` - the requesting classloader
  Returns:
    the class
  Throws:
    `ClassNotFoundException` - when the class is not found

### loadResource

    public URL loadResource(String name,
                            DomainClassLoader classLoader)

  Get a resource

  Parameters:
    `name` - the resource name
    `classLoader` - the requesting classloader
  Returns:
    the resource or null if not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.